﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using SilverlightApplication10.DataService;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace SilverlightApplication10
{
    public class ViewModel : INotifyPropertyChanged
    {
        DataServiceClient _clinet;
        ObservableCollection<Summary> _summaries;
        public ViewModel()
        {
            _clinet = new DataServiceClient();
            _clinet.GetDataCompleted += new EventHandler<GetDataCompletedEventArgs>(_clinet_GetDataCompleted);
            _clinet.GetDataAsync();
        }

        public ObservableCollection<Summary> Summary
        {
            get { return _summaries; }
            set
            {
                _summaries = value;
                if (PropertyChanged != null)
                    PropertyChanged(this, new PropertyChangedEventArgs("Summary"));

            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        void _clinet_GetDataCompleted(object sender, GetDataCompletedEventArgs e)
        {
            List<Summary> list = new List<Summary>();
            Summary _summary = e.Result as Summary;
            _summary.OurWeight = 16;
            list.Add(e.Result);
            Summary = new ObservableCollection<Summary>(list);
        }
    }
}
